Runtime

## org.eclipse.gmf.runtime.common.ui.services.dnd.ide.core
Interface IDETransferId

public interface IDETransferId

Interface containing constants for transfer ids used within drag and drop operations

Field Summary
`static java.lang.String` `MARKER_TRANSFER` Constant for marker transfer agent
`static java.lang.String` `NAV_SELECTION_TRANSFER` Constant for resource navigator selection transfer agent
`static java.lang.String` `RESOURCE_TRANSFER` Constant for resuorce transfer agent

Field Detail

### RESOURCE_TRANSFER

    public static final java.lang.String RESOURCE_TRANSFER

  Constant for resuorce transfer agent

  See Also:
    Constant Field Values

### MARKER_TRANSFER

    public static final java.lang.String MARKER_TRANSFER

  Constant for marker transfer agent

  See Also:
    Constant Field Values

### NAV_SELECTION_TRANSFER

    public static final java.lang.String NAV_SELECTION_TRANSFER

  Constant for resource navigator selection transfer agent

  See Also:
    Constant Field Values

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.